import { Reference, ReferenceConfig } from '../metadata/Reference';
export interface InputFieldConfig extends ReferenceConfig {
    fieldName: string;
    defaultValue?: any;
    description?: string;
    directives?: any;
}
export declare class InputField<TConfig extends InputFieldConfig = InputFieldConfig> extends Reference<TConfig> {
    protected get kind(): 'input';
    get fieldName(): string;
    get defaultValue(): any;
    get description(): string | undefined;
    get directives(): any;
}
//# sourceMappingURL=InputField.d.ts.map