import { TypeExpression } from '../type-expression/TypeExpression';
import { TypeArg } from '../type-expression/types';
import { ResolverMap } from '../types';
type ConnectionByNode = {
    node: TypeArg | TypeExpression;
    edge?: undefined;
};
type ConnectionByEdge = {
    edge: TypeArg | TypeExpression;
    node?: undefined;
};
type DefineConnectionOptions = {
    typeName?: string;
} & (ConnectionByNode | ConnectionByEdge);
export declare function defineConnection(options: DefineConnectionOptions): (definitionClass: ResolverMap) => void;
type DefineEdgeOptions = {
    typeName?: string;
    node: TypeArg | TypeExpression;
};
export declare function defineEdge(options: DefineEdgeOptions): (definitionClass: ResolverMap | null) => void;
export {};
//# sourceMappingURL=connection.d.ts.map