export type ResolverMap = Object;
export type ResolvedValue<T> = T | Promise<T>;
export type ResolvedList<T> = T[] | Promise<T[]> | Promise<T>[];
export interface ConcreteClass<T = any> {
    new (...args: any[]): T;
}
export type Instantiator<TClass = any> = (value: {
    [key: string]: any;
}) => TClass;
export declare function defaultInputFieldInstantiator(value: any): any;
export type Thunk<T> = () => T;
//# sourceMappingURL=types.d.ts.map